{
    query {
        repository(owner: "github", name: "some-repo") {
        discussions(first: 10) {
            # type: DiscussionConnection
            totalCount # Int!
    
            pageInfo {
            # type: PageInfo (from the public schema)
            startCursor
            endCursor
            hasNextPage
            hasPreviousPage
            }
    
            edges {
            # type: DiscussionEdge
            cursor
            node {
                # type: Discussion
                id
            }
            }
    
            nodes {
            # type: Discussion
            id
            }
        }
        }
    }
}
  